Page MenuHomePhabricator

*.nasa.gov URL upload not available
Closed, ResolvedPublic

Description

URL upload not available. I upload from https://www.jpl.nasa.gov/spaceimages/details.php?id=PIA22328

Return result:

Upload warning

Copy uploads are not available from this domain.

Event Timeline

Shizhao created this task.Jun 8 2018, 7:14 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 8 2018, 7:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm claimed this task.Jun 8 2018, 7:21 AM
Urbanecm triaged this task as Normal priority.
Urbanecm added a subscriber: Urbanecm.

Going to whitelist it.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 8 2018, 7:21 AM
Shizhao added a comment.EditedJun 8 2018, 7:45 AM
在T196727#4266619中,@Urbanecm写道:

Going to whitelist it.

*.nasa.gov in whitelist. see https://commons.wikimedia.org/wiki/Commons:Upload_tools/wgCopyUploadsDomains

In this case, * mean every character EXCEPT dot. *.nasa.gov matches a.nasa.gov, but it doesn't match www.jpl.nasa.gov.

Change 438273 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Whitelist *.jpl.nasa.gov

https://gerrit.wikimedia.org/r/438273

Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 438273 merged by jenkins-bot:
[operations/mediawiki-config@master] Whitelist *.jpl.nasa.gov

https://gerrit.wikimedia.org/r/438273

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-06-13T18:20:48Z] <twentyafterfour@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: sync 5b47244 14ca2ba 63bc100m and 2569a77 refs T196488, T196744, T196727, T196763 (duration: 00m 57s)

Urbanecm closed this task as Resolved.Jun 13 2018, 6:27 PM

Deployed. Should anything be broken, please reopen&comment.

Vvjjkkii renamed this task from *.nasa.gov URL upload not available to oebaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:05 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from oebaaaaaaa to *.nasa.gov URL upload not available.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Dereckson.